package asia.tcrs.ccnp.chemicraftnext.base.client;

import asia.tcrs.ccnp.chemicraftnext.base.entity.EntityAtomsGrenade;
import asia.tcrs.ccnp.chemicraftnext.base.entity.EntityDust;
import asia.tcrs.ccnp.chemicraftnext.base.render.RenderAtomsGrenade;
import asia.tcrs.ccnp.chemicraftnext.base.render.RenderDust;
import asia.tcrs.ccnp.chemicraftnext.base.system.CommonProxy;
import cpw.mods.fml.client.registry.RenderingRegistry;

/**
 * クライアントプロキシを設定するクラスです
 * @author mozipi,ponkotate,りりごん
 */
public class ClientProxy extends CommonProxy {

	@Override
	public void registerTextures() {

	}

	@Override
	public void registerRenderInformation() {
		RenderingRegistry.registerEntityRenderingHandler(EntityAtomsGrenade.class, new RenderAtomsGrenade(0.5F));
		RenderingRegistry.registerEntityRenderingHandler(EntityDust.class, new RenderDust());
	}
}
