package asia.tcrs.ccnp.chemicraftnext.base.item;

import asia.tcrs.ccnp.chemicraftnext.base.entity.EntityDust;
import asia.tcrs.ccnp.chemicraftnext.core.ChemiCraftCore;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import net.minecraft.client.renderer.texture.IconRegister;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;

/**
 * 粉塵のアイテムです
 * @author mozipi
 */
public class ItemDust extends Item {

	public ItemDust(int par1) {
		super(par1);
		this.setCreativeTab(ChemiCraftCore.instance.creativeTabChemiCraft);
	}

	@Override
	public ItemStack onItemRightClick(ItemStack par1ItemStack, World par2World,
			EntityPlayer par3EntityPlayer) {


		if (!par2World.isRemote) {
			par2World.spawnEntityInWorld(new EntityDust(par2World,
					par3EntityPlayer.posX,
					par3EntityPlayer.posY,
					par3EntityPlayer.posZ));
			par1ItemStack.stackSize--;
		}
		return par1ItemStack;
	}

	@Override
	@SideOnly(Side.CLIENT)
    public void registerIcons(IconRegister par1IconRegister){
		this.itemIcon = par1IconRegister.registerIcon("egg");
	}

}
