package asia.tcrs.ccnp.chemicraftnext.core;

import asia.tcrs.ccnp.chemicraftnext.core.tileentity.TileEntityChemicalCombinationTable;
import asia.tcrs.ccnp.chemicraftnext.core.tileentity.TileEntityChemicalCraftingTable;
import asia.tcrs.ccnp.chemicraftnext.core.tileentity.TileEntityElectrolysisTable;
import asia.tcrs.ccnp.chemicraftnext.core.tileentity.TileEntityPyrolysisTable;
import asia.tcrs.ccnp.chemicraftnext.core.tileentity.TileEntityToolAndWeaponCraftingTable;
import cpw.mods.fml.common.registry.GameRegistry;

/**
 * TileEntityを追加します
 * @author mozipi,ponkotate
 */
public class ChemiCraftRegisterTileEntity extends ChemiCraftCoreRegister {

	public ChemiCraftRegisterTileEntity(ChemiCraftCore mod) {
		super(mod);
	}

	@Override
	public void start() {
		GameRegistry.registerTileEntity(TileEntityPyrolysisTable.class, "TileEntityPyrolysisTable");
		GameRegistry.registerTileEntity(TileEntityChemicalCombinationTable.class, "TileEntityChemicalCombinationTable");
		GameRegistry.registerTileEntity(TileEntityToolAndWeaponCraftingTable.class, "TileEntityToolAndWeaponCraftingTable");
		GameRegistry.registerTileEntity(TileEntityChemicalCraftingTable.class, "TileEntityChemicalCraftingTable");
		GameRegistry.registerTileEntity(TileEntityElectrolysisTable.class, "TileEntityElectrolysisTable");
	}

}
